[tool.poetry]
name = "skylab-ansible"
version = "0.0.0"
description = "Network deployment procedures and configuration state"
authors = ["Ethan Paul <me@enp.one>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.10"
ansible-core = "^2.14.3"
docker = "^6.0.1"
paramiko = "^2.7.1"
jsondiff = "^2.0.0"
netaddr = "^0.8.0"

[tool.poetry.dev-dependencies]
ansible-lint = {version = "^6.14.0", markers = "platform_system != 'Windows'"}
ipython = "^8.11.0"
mdformat = "^0.7.16"
mdformat-gfm = "^0.3.5"
poetry = "^1.3.0"
pre-commit = "^3.2.0"
pre-commit-hooks = "^4.4.0"
safety = "^2.3.5"
tox = "^3.20.1"
tox-poetry-installer = {extras = ["poetry"], version = "^0.10.0"}
yamllint = "^1.29.0"
